Index: make/ChangeLog
===================================================================
--- make/ChangeLog	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/ChangeLog	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -1,2 +1,16 @@
+2008-03-11	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* custom/av5282.cfg, custom/bare.cfg, custom/default.cfg,
+	custom/gba.cfg, custom/gp32.cfg, custom/i386ex.cfg, custom/idp.cfg,
+	custom/mbx8xx.cfg, custom/mcf5235.cfg, custom/mcp750.cfg,
+	custom/mrm332.cfg, custom/mtx603e.cfg, custom/mvme136.cfg,
+	custom/mvme147.cfg, custom/mvme162.cfg, custom/mvme162lx.cfg,
+	custom/mvme167.cfg, custom/mvme2100.cfg, custom/mvme2307.cfg,
+	custom/mvme3100.cfg, custom/mvme5500.cfg, custom/nios2_iss.cfg,
+	custom/pc386.cfg, custom/posix.cfg, custom/score603e.cfg,
+	custom/sim68000.cfg, custom/simcpu32.cfg, custom/ss555.cfg,
+	custom/ts_386ex.cfg, custom/uC5282.cfg, custom/virtex.cfg: Switch to
+	explicit .exe instead of EXEEXT to get it to work.
+
 2008-03-06	Till Straumann <strauman@slac.stanford.edu>
 
Index: make/custom/av5282.cfg
===================================================================
--- make/custom/av5282.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/av5282.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -26,4 +26,4 @@
 	$(default-bsp-post-link)
 	$(OBJCOPY) -O binary --strip-all \
-	    $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	    $(basename $@).exe $(basename $@)$(DOWNEXT)
 endef
Index: make/custom/bare.cfg
===================================================================
--- make/custom/bare.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/bare.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -29,12 +29,12 @@
 define make-exe
 	@echo "*** Cannot do a link with the bare bsp. ***"
-        @echo "#!/bin/sh" > $(basename $@)$(EXEEXT)
-        @echo "echo \"Cannot do a link with the bare bsp.\"" >> $(basename $@)$(EXEEXT)
+        @echo "#!/bin/sh" > $(basename $@).exe
+        @echo "echo \"Cannot do a link with the bare bsp.\"" >> $(basename $@).exe
 endef
 
 define make-cxx-exe
 	@echo "*** Cannot do a link with the bare bsp. ***"
-        @echo "#!/bin/sh" > $(basename $@)$(EXEEXT)
-        @echo "echo \"Cannot do a link with the bare bsp.\"" >> $(basename $@)$(EXEEXT)
+        @echo "#!/bin/sh" > $(basename $@).exe
+        @echo "echo \"Cannot do a link with the bare bsp.\"" >> $(basename $@).exe
 endef
 
Index: make/custom/default.cfg
===================================================================
--- make/custom/default.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/default.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -20,39 +20,2 @@
 # Base name of start file
 START_BASE=start
-
-## what to do about $(EXEEXT) --> $(EXEEXT)
-##    -o $(basename $@)$(EXEEXT)             OR
-##    -o $(basename $@)$(EXEEXT)                  OR
-
-EXEEXT=.exe
-DOWNEXT=.ralf
-
-define bsp-link-c
-	$(LINK.c) $(CPU_CFLAGS) $(AM_CFLAGS) $(AM_LDFLAGS) \
-	    -o $(basename $@)$(EXEEXT) $(LINK_OBJS) $(LINK_LIBS)
-endef
-
-define bsp-link-cxx
-	$(LINK.cc) $(CPU_CFLAGS) $(AM_CFLAGS) $(AM_LDFLAGS) \
-	    -o $(basename $@)$(EXEEXT) $(LINK_OBJS) $(LINK_LIBS)
-endef
-
-define default-bsp-post-link
-	$(NM) -g -n $@ > $(basename $@).num
-	$(SIZE) $@
-endef
-
-define bsp-post-link
-	$(default-bsp-post-link)
-	cp $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
-endef
-
-define make-exe
-       $(bsp-link-c)
-       $(bsp-post-link)
-endef
-
-define make-cxx-exe
-       $(bsp-link-cxx)
-       $(bsp-post-link)
-endef
Index: make/custom/gba.cfg
===================================================================
--- make/custom/gba.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/gba.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -26,5 +26,5 @@
 	$(OBJCOPY) -O binary --remove-section=.comment \
 	    --remove-section=.note --strip-unneeded \
-	    $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	    $(basename $@).exe $(basename $@)$(DOWNEXT)
 	$(default-bsp-post-link)
 endef
Index: make/custom/gp32.cfg
===================================================================
--- make/custom/gp32.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/gp32.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -22,5 +22,5 @@
 
 define bsp-post-link
-	$(OBJCOPY) -O binary $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	$(OBJCOPY) -O binary $(basename $@).exe $(basename $@)$(DOWNEXT)
 	$(default-bsp-post-link)
 endef
Index: make/custom/i386ex.cfg
===================================================================
--- make/custom/i386ex.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/i386ex.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -22,5 +22,5 @@
 
 define bsp-post-link
-	$(OBJCOPY) -O srec $(basename $@)$(EXEEXT) $(basename $@).srec
+	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@).srec
 	sed -e 's/.$$//' -e '/^S0/d' $(basename $@).srec | \
 	          $(PACKHEX) > $(basename $@)$(DOWNEXT)
Index: make/custom/idp.cfg
===================================================================
--- make/custom/idp.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/idp.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -22,5 +22,5 @@
 
 define bsp-post-link
-	$(OBJCOPY) -O srec $(basename $@)$(EXEEXT) $(basename $@).srec
+	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@).srec
 	sed -e 's/.$$//' -e '/^S0/d' $(basename $@).srec | \
 	    $(PACKHEX) > $(basename $@)$(DOWNEXT)
Index: make/custom/mbx8xx.cfg
===================================================================
--- make/custom/mbx8xx.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mbx8xx.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -55,5 +55,5 @@
 
 define bsp-post-link
-	cp $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT) 
+	cp $(basename $@).exe $(basename $@)$(DOWNEXT) 
 	$(STRIP) $(basename $@)$(DOWNEXT)
 	$(default-bsp-post-link)
Index: make/custom/mcf5235.cfg
===================================================================
--- make/custom/mcf5235.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mcf5235.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -32,5 +32,5 @@
 define bsp-post-link
 	$(OBJCOPY) -O binary --strip-all \
-	    $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
-	$(SIZE) $(basename $@)$(EXEEXT)
+	    $(basename $@).exe $(basename $@)$(DOWNEXT)
+	$(SIZE) $(basename $@).exe
 endef
Index: make/custom/mcp750.cfg
===================================================================
--- make/custom/mcp750.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mcp750.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -23,9 +23,9 @@
 define bsp-post-link
 	$(default-bsp-post-link)
- 	$(OBJCOPY) -O binary -R .comment -S $(basename $@)$(EXEEXT) rtems
+ 	$(OBJCOPY) -O binary -R .comment -S $(basename $@).exe rtems
  	gzip -vf9 rtems
  	$(LD) -o $(basename $@)$(DOWNEXT) \
 	    $ $(PROJECT_RELEASE)/lib/bootloader.o \
-	    --just-symbols=$(basename $@)$(EXEEXT) \
+	    --just-symbols=$(basename $@).exe \
  	    -b binary rtems.gz -T $(PROJECT_RELEASE)/lib/ppcboot.lds \
  	    -Map $(basename $@).map && chmod 755 $@
Index: make/custom/mrm332.cfg
===================================================================
--- make/custom/mrm332.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mrm332.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -37,6 +37,6 @@
 	        /\.text/ { base = $$4 ; size = $$3 };\
 	        END { printf("0x%x", h2d(base) + h2d(size)) }'\
-	       ` $(basename $@).pxe $(basename $@)$(EXEEXT)
-	$(OBJCOPY) -O srec $(basename $@)$(EXEEXT) $(basename $@).srec
+	       ` $(basename $@).pxe $(basename $@).exe
+	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@).srec
 	sed -e 's/.$$//' -e '/^S0/d' $(basename $@).srec | \
 	    $(PACKHEX) > $(basename $@)$(DOWNEXT)
@@ -47,5 +47,5 @@
 else
 define bsp-post-link
-	$(OBJCOPY) -O srec $(basename $@)$(EXEEXT) $(basename $@).srec
+	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@).srec
 	sed -e 's/.$$//' -e '/^S0/d' $(basename $@).srec | \
 	    $(PACKHEX) > $(basename $@)$(DOWNEXT)
Index: make/custom/mtx603e.cfg
===================================================================
--- make/custom/mtx603e.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mtx603e.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -22,9 +22,9 @@
 define bsp-post-link
 	$(default-bsp-post-link)
- 	$(OBJCOPY) -O binary -R .comment -S $(basename $@)$(EXEEXT) rtems
+ 	$(OBJCOPY) -O binary -R .comment -S $(basename $@).exe rtems
  	gzip -vf9 rtems
  	$(LD) -o $(basename $@)$(DOWNEXT) \
 	   $(PROJECT_RELEASE)/lib/bootloader.o \
-	    --just-symbols=$(basename $@)$(EXEEXT) \
+	    --just-symbols=$(basename $@).exe \
  	    -b binary rtems.gz -T $(PROJECT_RELEASE)/lib/ppcboot.lds \
  	    -Map $(basename $@).map && chmod 755 $@
Index: make/custom/mvme136.cfg
===================================================================
--- make/custom/mvme136.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mvme136.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -23,5 +23,5 @@
 
 define bsp-post-link
-	$(OBJCOPY) -O srec $(basename $@)$(EXEEXT) $(basename $@).srec
+	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@).srec
 	sed -e 's/.$$//' -e '/^S0/d' $(basename $@).srec | \
 	    $(PACKHEX) > $(basename $@)$(DOWNEXT)
Index: make/custom/mvme147.cfg
===================================================================
--- make/custom/mvme147.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mvme147.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -21,5 +21,5 @@
 
 define bsp-post-link
-	$(OBJCOPY) -O srec $(basename $@)$(EXEEXT) $(basename $@).srec
+	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@).srec
 	sed -e 's/.$$//' -e '/^S0/d' $(basename $@).srec | \
 	    $(PACKHEX) > $(basename $@)$(DOWNEXT)
Index: make/custom/mvme162.cfg
===================================================================
--- make/custom/mvme162.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mvme162.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -26,5 +26,5 @@
 define bsp-post-link
 	$(default-bsp-post-link)
-	$(OBJCOPY) -O binary $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	$(OBJCOPY) -O binary $(basename $@).exe $(basename $@)$(DOWNEXT)
 endef
 
Index: make/custom/mvme162lx.cfg
===================================================================
--- make/custom/mvme162lx.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mvme162lx.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -32,5 +32,5 @@
 define bsp-post-link
 	$(default-bsp-post-link)
-	$(OBJCOPY) -O binary $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	$(OBJCOPY) -O binary $(basename $@).exe $(basename $@)$(DOWNEXT)
 endef
 
Index: make/custom/mvme167.cfg
===================================================================
--- make/custom/mvme167.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mvme167.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -43,5 +43,5 @@
 define bsp-post-link
 	$(default-bsp-post-link)
-	cp $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	cp $(basename $@).exe $(basename $@)$(DOWNEXT)
 	$(STRIP) $(basename $@)$(DOWNEXT)
 endef
Index: make/custom/mvme2100.cfg
===================================================================
--- make/custom/mvme2100.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mvme2100.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -22,9 +22,9 @@
 define bsp-post-link
 	$(default-bsp-post-link)
- 	$(OBJCOPY) -O binary -R .comment -S $(basename $@)$(EXEEXT) rtems
+ 	$(OBJCOPY) -O binary -R .comment -S $(basename $@).exe rtems
  	gzip -vf9 rtems
  	$(LD) -o $(basename $@)$(DOWNEXT) \
 	    $(PROJECT_RELEASE)/lib/bootloader.o \
-	    --just-symbols=$(basename $@)$(EXEEXT) \
+	    --just-symbols=$(basename $@).exe \
  	    -b binary rtems.gz -T $(PROJECT_RELEASE)/lib/ppcboot.lds \
  	    -Map $(basename $@).map && chmod 755 $@
Index: make/custom/mvme2307.cfg
===================================================================
--- make/custom/mvme2307.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mvme2307.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -23,8 +23,8 @@
 define bsp-post-link
 	$(default-bsp-post-link)
- 	$(OBJCOPY) -O binary -R .comment -S $(basename $@)$(EXEEXT) rtems
+ 	$(OBJCOPY) -O binary -R .comment -S $(basename $@).exe rtems
  	gzip -vf9 rtems
  	$(LD) -o $(basename $@)$(DOWNEXT)  $(PROJECT_RELEASE)/lib/bootloader.o \
-	    --just-symbols=$(basename $@)$(EXEEXT) \
+	    --just-symbols=$(basename $@).exe \
  	    -b binary rtems.gz -T $(PROJECT_RELEASE)/lib/ppcboot.lds \
  	    -Map $(basename $@).map && chmod 755 $@
Index: make/custom/mvme3100.cfg
===================================================================
--- make/custom/mvme3100.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mvme3100.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -31,5 +31,5 @@
 define bsp-post-link
 	$(default-bsp-post-link)
-	$(OBJCOPY) -O binary $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	$(OBJCOPY) -O binary $(basename $@).exe $(basename $@)$(DOWNEXT)
 endef
 
Index: make/custom/mvme5500.cfg
===================================================================
--- make/custom/mvme5500.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/mvme5500.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -25,5 +25,5 @@
 define bsp-post-link
 	$(default-bsp-post-link)
-	$(OBJCOPY) -O binary $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	$(OBJCOPY) -O binary $(basename $@).exe $(basename $@)$(DOWNEXT)
 endef
 
Index: make/custom/nios2_iss.cfg
===================================================================
--- make/custom/nios2_iss.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/nios2_iss.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -25,5 +25,5 @@
 
 define bsp-post-link
-	$(OBJCOPY) -O binary --strip-all $(basename $@)$(EXEEXT) \
+	$(OBJCOPY) -O binary --strip-all $(basename $@).exe \
 	    -R entry -R exceptions $(basename $@)$(DOWNEXT)
 	$(default-bsp-post-link)
Index: make/custom/pc386.cfg
===================================================================
--- make/custom/pc386.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/pc386.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -24,5 +24,5 @@
 CFLAGS_OPTIMIZE_V = -O2 -g
 
-# Here is the rule to actually build a $(ARCH)/foo$(EXEEXT)
+# Here is the rule to actually build a $(ARCH)/foo.exe
 # It also builds $(ARCH)/foo.sr and $(ARCH)/foo.nm
 # Usage ref: src/tests/sptest/sp1/Makefile
@@ -51,5 +51,5 @@
 	    --remove-section=.comment \
 	    --remove-section=.note \
-	    --strip-unneeded $(basename $@)$(EXEEXT) $(basename $@).nxe
+	    --strip-unneeded $(basename $@).exe $(basename $@).nxe
 	$(OBJCOPY) -O binary $(basename $@).nxe $(basename $@).bin
 	$(PROJECT_TOOLS)/bin2boot -v $(basename $@)$(DOWNEXT) $(HEADERADDR)\
Index: make/custom/posix.cfg
===================================================================
--- make/custom/posix.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/posix.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -18,5 +18,5 @@
 START_BASE=
 
-# Here is the rule to actually build a $(ARCH)/foo$(EXEEXT)
+# Here is the rule to actually build a $(ARCH)/foo.exe
 # It also builds $(ARCH)/foo.sr and $(ARCH)/foo.nm
 # Usage ref: src/tests/sptest/sp1/Makefile
Index: make/custom/score603e.cfg
===================================================================
--- make/custom/score603e.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/score603e.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -28,5 +28,5 @@
 define bsp-post-link
 	$(default-bsp-post-link)
-	$(OBJCOPY) -O srec $(basename $@)$(EXEEXT) $(basename $@).s1
+	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@).s1
 	sed -e 's/.$$//' $(basename $@).s1 | \
 	  $(PACKHEX) >$(basename $@)$(DOWNEXT)
Index: make/custom/sim68000.cfg
===================================================================
--- make/custom/sim68000.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/sim68000.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -22,4 +22,4 @@
 define bsp-post-link
 	$(default-bsp-post-link)
-	$(OBJCOPY) -O srec $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@)$(DOWNEXT)
 endef
Index: make/custom/simcpu32.cfg
===================================================================
--- make/custom/simcpu32.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/simcpu32.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -22,4 +22,4 @@
 define bsp-post-link
 	$(default-bsp-post-link)
-	$(OBJCOPY) -O srec $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@)$(DOWNEXT)
 endef
Index: make/custom/ss555.cfg
===================================================================
--- make/custom/ss555.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/ss555.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -30,5 +30,5 @@
 define bsp-post-link
 	$(default-bsp-post-link)
-	cp $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT) 
+	cp $(basename $@).exe $(basename $@)$(DOWNEXT) 
 	$(STRIP) $(basename $@)$(DOWNEXT)
 endef
Index: make/custom/ts_386ex.cfg
===================================================================
--- make/custom/ts_386ex.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/ts_386ex.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -24,4 +24,4 @@
 define bsp-post-link
 	$(default-bsp-post-link)
-	$(OBJCOPY) -O binary $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	$(OBJCOPY) -O binary $(basename $@).exe $(basename $@)$(DOWNEXT)
 endef
Index: make/custom/uC5282.cfg
===================================================================
--- make/custom/uC5282.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/uC5282.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -20,4 +20,4 @@
 define bsp-post-link
 	$(default-bsp-post-link)
-	$(OBJCOPY) -O binary $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	$(OBJCOPY) -O binary $(basename $@).exe $(basename $@)$(DOWNEXT)
 endef
Index: make/custom/virtex.cfg
===================================================================
--- make/custom/virtex.cfg	(revision 97a40898fc7d35d0825402f0e617dacad3d044ef)
+++ make/custom/virtex.cfg	(revision b1a66feaa389530ca152a4dcc868db652e3883c9)
@@ -28,4 +28,4 @@
 define bsp-post-link
 	$(default-bsp-post-link)
-	$(OBJCOPY) -O srec $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@)$(DOWNEXT)
 endef
